Bug 706400 - (libqzeitgeist) Review Request: libqzeitgeist - Qt Zeitgeist Library
Review Request: libqzeitgeist - Qt Zeitgeist Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Torrie Fischer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-05-20 09:06 EDT by Rex Dieter
Modified: 2011-06-03 22:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: libqzeitgeist-0.7.0-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 10:53:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tdfischer: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Rex Dieter 2011-05-20 09:08:12 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3083354

$ rpmlint *.rpm x86_64/*.rpm
libqzeitgeist-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 2 Torrie Fischer 2011-05-20 09:17:22 EDT
I can review. Bonus: I'm upstream.
Comment 3 Rex Dieter 2011-05-20 09:20:05 EDT
f14 scratch build too:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3083374
Comment 4 Torrie Fischer 2011-05-20 09:38:16 EDT
> URL:     https://gitorious.org/kde-zeitgeist/libqzeitgeist
As a heads up, we've moved it to http://projects.kde.org/projects/kdesupport/libqzeitgeist. That can be fixed for next release though.

> BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Your build root looks unusual to me, since it deviates from the one I'm used to seeing in /etc/rpmdevtools/spectemplate-lib.spec. I'm also still in the stone age and running fedora 14 ;)

Other than those two, its a quick and simple package and works like it says on the tin.

Approved.
Comment 5 Rex Dieter 2011-05-20 09:40:06 EDT
I guess an explicit buildroot is not needed on modern fedora systems, so I'll just drop that piece.

And, I'll update the URL prior to doing any official builds, thanks!
Comment 6 Rex Dieter 2011-05-20 09:46:08 EDT
New Package SCM Request
=======================
Package Name: libqzeitgeist
Short Description: Qt Zeitgeist Library
Owners: rdieter tdfischer
Branches: f14 f15
InitialCC:
Comment 7 Kevin Fenzi 2011-05-20 18:34:23 EDT
Git done (by process-git-requests).
Comment 8 Rex Dieter 2011-05-23 10:53:59 EDT
imported
Comment 9 Fedora Update System 2011-05-26 11:04:04 EDT
libqzeitgeist-0.7.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libqzeitgeist-0.7.0-1.fc14
Comment 10 Fedora Update System 2011-05-26 11:04:29 EDT
libqzeitgeist-0.7.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libqzeitgeist-0.7.0-1.fc15
Comment 11 Fedora Update System 2011-06-02 14:50:14 EDT
libqzeitgeist-0.7.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2011-06-03 22:57:20 EDT
libqzeitgeist-0.7.0-1.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.